lkml.org 
[lkml]   [2000]   [Oct]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: Updated 2.4 TODO List -- new addition WAS(test9 PCI
Date
From
> erm, looking at your list it says that you're using Redhat 7.0, which
> is known to ship with a buggy gcc, which is KNOWN to do nasty things
> with kernels.

Its not a buggy gcc. Well its a less buggy gcc than 2.95 or egcs 1.1.2

The problem is the *kernel* side of things. The compiler folks keep getting
the blame for things that are not their fault. Every bug I've chased down
bar one and every fix I've merged from others for gcc 2.95 support in 2.2.x
for example has been the kernel code not stopping some legal but undesired
optimisation or incorrect asm constraints

The only case that 2.95 was at fault is strstr() miscompiles which 2.96
snapshots actually got right.

> Linux version 2.4.0-test9-JHS1 (root@pcard1fr.ca.nortel.com) (gcc
> version 2.96 2
> 0000731 (Red Hat Linux 7.0)) #2 Thu Oct 5 11:59:31 EDT 2000
>
> yeah, that pretty much sums it up right there.. you may want to try
> something else.

Build with kgcc. See the 7.0 release notes and/or tweak the Makefile.

Alan

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 12:39    [W:0.058 / U:0.596 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site